Package net.shibboleth.idp.plugin.authn.webauthn.authn

# Class CredentialRequestOptionsParameters

java.lang.Object
net.shibboleth.idp.plugin.authn.webauthn.authn.BaseOptionsParameters
net.shibboleth.idp.plugin.authn.webauthn.authn.CredentialRequestOptionsParameters

public final class CredentialRequestOptionsParameters extends BaseOptionsParameters
The parameters required to build a PublicKeyCredentialRequestOptions.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`CredentialRequestOptionsParameters.Builder`
Builder class.
`static interface`
`CredentialRequestOptionsParameters.IAllowCredentialsStage`
Stage interface.
`static interface`
`CredentialRequestOptionsParameters.IBuildStage`
Build the options.
`static interface`
`CredentialRequestOptionsParameters.IChallengeStage`
Stage interface.
`static interface`
`CredentialRequestOptionsParameters.IUserVerificationRequirementStage`
Stage interface.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final List<com.yubico.webauthn.data.PublicKeyCredentialDescriptor>`
`allowCredentials`
Credentials that have already been registered with the credential repository.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`CredentialRequestOptionsParameters(CredentialRequestOptionsParameters.Builder builder)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`static CredentialRequestOptionsParameters.IUserVerificationRequirementStage`
`builder()`
Create a new builder.
`final List<com.yubico.webauthn.data.PublicKeyCredentialDescriptor>`
`getAllowCredentials()`
Get the set of credentials that are acceptable to the IdP.

### Methods inherited from class net.shibboleth.idp.plugin.authn.webauthn.authn.BaseOptionsParameters

`getChallenge, getUserVerificationRequirement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### allowCredentials

@Nonnull @NonnullElements private final List<com.yubico.webauthn.data.PublicKeyCredentialDescriptor> allowCredentials
Credentials that have already been registered with the credential repository. The authenticator should use the IDs of these to avoid creating duplicate credentials during registration.

## Constructor Details

### CredentialRequestOptionsParameters

private CredentialRequestOptionsParameters(CredentialRequestOptionsParameters.Builder builder)
Constructor.

Parameters:
  `builder` - the builder to use for the construction

## Method Details

### getAllowCredentials

@Nonnull @NonnullElements public final List<com.yubico.webauthn.data.PublicKeyCredentialDescriptor> getAllowCredentials()
Get the set of credentials that are acceptable to the IdP.

Returns:
  the allowable credentials.

### builder

public static CredentialRequestOptionsParameters.IUserVerificationRequirementStage builder()
Create a new builder.

Returns:
  a builder